FROM alpine:3.10

ENV TF_VERSION = 0.14.0

# hadolint ignore=DL3003
RUN apk add curl=7.69.1-r3 --no-cache
RUN cd /usr/local/bin
RUN curl https://releases.hashicorp.com/terraform/${TF_VERSION}/terraform_${TF_VERSION}_linux_amd64.zip -o terraform_${TF_VERSION}_linux_amd64.zip
RUN unzip terraform_${TF_VERSION}_linux_amd64.zip
RUN rm terraform_${TF_VERSION}_linux_amd64.zip